| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KMediaPlayer::Player Class Reference

Player is the center of the KMediaPlayer interface. More...

`#include <player.h>`

Inheritance diagram for KMediaPlayer::Player:

[legend]
Collaboration diagram for KMediaPlayer::Player:

[legend]
List of all members.

## Public Types
enum | State { Empty, Stop, Pause, Play }
| The possible states of the Player. More...
## Public Slots
virtual void | pause (void)=0
| Pause playback of the media track.
virtual void | play (void)=0
| Begin playing the media track.
virtual void | stop (void)=0
| Stop playback of the media track and return to the beginning.
virtual void | seek (unsigned long msec)=0
| Move the current playback position to the specified time in milliseconds, if the track is seekable.
void | setLooping (bool)
| Set whether the Player should continue playing at the beginning of the track when the end of the track is reached.
## Signals
void | loopingChanged (bool)
| Emitted when the looping state is changed.
void | stateChanged (int)
| Emitted when the state changes.
## Public Member Functions
| Player (QObject *parent, const char *name)
| This constructor is what to use when no GUI is required, as in the case of a KMediaPlayer/Engine.
| Player (QWidget *parentWidget, const char *widgetName, QObject *parent, const char *name)
| This constructor is what to use when a GUI is required, as in the case of a KMediaPlayer/Player.
virtual View * | view (void)=0
| A convenience function returning a pointer to the View for this Player, or 0 if this Player has no GUI.
virtual bool | isSeekable (void) const =0
| Returns whether the current track honors seek requests.
virtual unsigned long | position (void) const =0
| Returns the current playback position in the track.
virtual bool | hasLength (void) const =0
| Returns whether the current track has a length.
virtual unsigned long | length (void) const =0
| Returns the length of the current track.
bool | isLooping (void) const
| Return the current looping state.
int | state (void) const
| Return the current state of the player.
## Protected Slots
void | setState (int)
| Implementers use this to control what users see as the current state.

## Detailed Description

Player is the center of the KMediaPlayer interface.

It provides all of the necessary media player operations, and optionally provides the GUI to control them.

There are two servicetypes for Player: KMediaPlayer/Player and KMediaPlayer/Engine. KMediaPlayer/Player provides a widget (accessable through view as well as XML GUI KActions. KMediaPlayer/Engine omits the user interface facets, for those who wish to provide their own interface.

Definition at line 46 of file player.h.

## Member Enumeration Documentation

enum KMediaPlayer::Player::State

  | The possible states of the Player. Enumeration values:
  Empty | No track is loaded.
  Stop | Not playing.
  Pause | Playing is temporarily suspended.
  Play | The media is currently being output.
Definition at line 111 of file player.h. Referenced by setState().

## Constructor & Destructor Documentation

KMediaPlayer::Player::Player | ( | QObject * | parent,
|  | const char * | name
| ) |

| This constructor is what to use when no GUI is required, as in the case of a KMediaPlayer/Engine. Definition at line 39 of file player.cpp. References KStdAccel::name().

KMediaPlayer::Player::Player | ( | QWidget * | parentWidget,
|  | const char * | widgetName,
|  | QObject * | parent,
|  | const char * | name
| ) |

| This constructor is what to use when a GUI is required, as in the case of a KMediaPlayer/Player. Definition at line 31 of file player.cpp. References KStdAccel::name().

## Member Function Documentation

virtual View* KMediaPlayer::Player::view | ( | void |  | ) | `[pure virtual]`

| A convenience function returning a pointer to the View for this Player, or 0 if this Player has no GUI.

virtual void KMediaPlayer::Player::pause | ( | void |  | ) | `[pure virtual, slot]`

| Pause playback of the media track.

virtual void KMediaPlayer::Player::play | ( | void |  | ) | `[pure virtual, slot]`

| Begin playing the media track.

virtual void KMediaPlayer::Player::stop | ( | void |  | ) | `[pure virtual, slot]`

| Stop playback of the media track and return to the beginning.

virtual void KMediaPlayer::Player::seek | ( | unsigned long | msec | ) | `[pure virtual, slot]`

| Move the current playback position to the specified time in milliseconds, if the track is seekable. Some streams may not be seeked.

virtual bool KMediaPlayer::Player::isSeekable | ( | void |  | ) | const`[pure virtual]`

| Returns whether the current track honors seek requests.

virtual unsigned long KMediaPlayer::Player::position | ( | void |  | ) | const`[pure virtual]`

| Returns the current playback position in the track.

virtual bool KMediaPlayer::Player::hasLength | ( | void |  | ) | const`[pure virtual]`

| Returns whether the current track has a length. Some streams are endless, and do not have one.

virtual unsigned long KMediaPlayer::Player::length | ( | void |  | ) | const`[pure virtual]`

| Returns the length of the current track.

void KMediaPlayer::Player::setLooping | ( | bool |  | ) | `[slot]`

| Set whether the Player should continue playing at the beginning of the track when the end of the track is reached. Definition at line 51 of file player.cpp. References loopingChanged().

bool KMediaPlayer::Player::isLooping | ( | void |  | ) | const

| Return the current looping state. Definition at line 60 of file player.cpp.

void KMediaPlayer::Player::loopingChanged | ( | bool |  | ) | `[signal]`

| Emitted when the looping state is changed. Referenced by setLooping().

int KMediaPlayer::Player::state | ( | void |  | ) | const

| Return the current state of the player. Definition at line 74 of file player.cpp.

void KMediaPlayer::Player::stateChanged | ( | int |  | ) | `[signal]`

| Emitted when the state changes. Referenced by setState().

void KMediaPlayer::Player::setState | ( | int |  | ) | `[protected, slot]`

| Implementers use this to control what users see as the current state. Definition at line 65 of file player.cpp. References State, and stateChanged().

The documentation for this class was generated from the following files:

- player.h
- player.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:30:52 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001